package request


type AlibabaWdkorderSharestockInsuranceRefundcallbackRequest struct {
    /*
        淘宝交易子单ID     */
    TbSubOrderId  *int64 `json:"tb_sub_order_id" required:"true" `
    /*
        退款单ID     */
    RefundId  *string `json:"refund_id" required:"true" `
    /*
        理赔单ID     */
    ClaimId  *string `json:"claim_id" required:"true" `
}

func (s *AlibabaWdkorderSharestockInsuranceRefundcallbackRequest) SetTbSubOrderId(v int64) *AlibabaWdkorderSharestockInsuranceRefundcallbackRequest {
    s.TbSubOrderId = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundcallbackRequest) SetRefundId(v string) *AlibabaWdkorderSharestockInsuranceRefundcallbackRequest {
    s.RefundId = &v
    return s
}
func (s *AlibabaWdkorderSharestockInsuranceRefundcallbackRequest) SetClaimId(v string) *AlibabaWdkorderSharestockInsuranceRefundcallbackRequest {
    s.ClaimId = &v
    return s
}

func (req *AlibabaWdkorderSharestockInsuranceRefundcallbackRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.TbSubOrderId != nil) {
        paramMap["tb_sub_order_id"] = *req.TbSubOrderId
    }
    if(req.RefundId != nil) {
        paramMap["refund_id"] = *req.RefundId
    }
    if(req.ClaimId != nil) {
        paramMap["claim_id"] = *req.ClaimId
    }
    return paramMap
}

func (req *AlibabaWdkorderSharestockInsuranceRefundcallbackRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}